Search documentation of macula

# macula_bootstrap_health (macula v0.44.2)

View Source

Bootstrap Health Monitor - Tracks system health metrics.

Monitors: - Service registry size - DHT query rate - System uptime - Memory usage

# Summary

## Functions

code_change(OldVsn, State, Extra)
get_health()

Get current health status

handle_call(Request, From, State)
handle_cast(Msg, State)
handle_info(Info, State)
init(Config)
is_healthy()

Check if system is healthy

start_link(Config)
terminate(Reason, State)

# Functions

# code_change(OldVsn, State, Extra)

# get_health()

    -spec get_health() -> {ok, map()}.

Get current health status

# handle_call(Request, From, State)

# handle_cast(Msg, State)

# handle_info(Info, State)

# init(Config)

# is_healthy()

    -spec is_healthy() -> boolean().

Check if system is healthy

# start_link(Config)

    -spec start_link(Config :: map()) -> {ok, pid()} | {error, term()}.

# terminate(Reason, State)